"use strict";

(function(){

	// Module
	var app = angular.module('World', ['ngAnimate']);

	// Controllers
	app.controller('CountriesCtrl', ['$scope', '$http', 'orderByFilter', function($scope, $http, orderBy){
		$http.post('countries.php').
			success(function(res){
				$scope.countries = res;
				$scope.order = 'Code';
				$scope.reverse = false;
				
				$scope.page = 1; // текущая страница
				$scope.perPage = 10; // записей на страницу
				$scope.countPages = Math.ceil($scope.countries.length / $scope.perPage);

				// номер предыдущей страницы
				$scope.prevPage = function(){
					return $scope.page--;
				};

				// номер следующей страницы
				$scope.nextPage = function(){
					return $scope.page++;
				};

				// ограничение первой страницы
				$scope.firstPage = function(){
					return $scope.page == 1;
				};

				// ограничение последней страницы
				$scope.lastPage = function(){
					return $scope.page == $scope.countPages;
				};

				// выборка записей запрошенной страницы
				$scope.start = 	function(){
					return ($scope.page - 1) * $scope.perPage;
				}		

			});
	}]);

})();